Voice
List Voices
Get a paginated list of voices for a specific TTS provider and model. Requires provider_id and model_id from the List Providers endpoint.
GET
/
api
/
v1
/
voice-config
/
tts
/
voices
List voices for a provider and model
curl --request GET \
--url https://api.bolna.ai/api/v1/voice-config/tts/voices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bolna.ai/api/v1/voice-config/tts/voices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bolna.ai/api/v1/voice-config/tts/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "21d4333d-39f9-5894-8987-f957a664b456",
"provider_id": "7a3f4573-7548-5b34-80f9-5edf23bed79b",
"voice_id": "iWNf11sz1GrUE4ppxTOL",
"name": "Viraj - Warm, Energetic and Lively",
"gender": "male",
"accent": "standard",
"age_range": "young",
"use_case": [
"conversational"
],
"is_native": true,
"preview_url": "https://storage.googleapis.com/eleven-public-prod/...",
"source": "platform"
},
{
"id": "fc092b1c-0f6e-4900-8468-e11133fd95b2",
"provider_id": "7a3f4573-7548-5b34-80f9-5edf23bed79b",
"voice_id": "sXlZ9Juk5Ji8sZiFjRUV",
"name": "my-custom-voice",
"gender": null,
"accent": null,
"age_range": null,
"use_case": null,
"is_native": false,
"preview_url": null,
"source": "custom"
}
]
}{
"error": 123,
"message": "<string>"
}{
"error": 401,
"message": "Access denied"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
BCP-47 language code to filter voices
Example:
"hi"
Provider UUID from the /api/v1/voice-config/tts response
Example:
"7a3f4573-7548-5b34-80f9-5edf23bed79b"
Model UUID from the /api/v1/voice-config/tts response
Example:
"f1b5c9cc-72e1-56a4-be8c-f3ee37d38309"
Page number (1-indexed)
Example:
1
Number of voices per page
Example:
100
Response
Paginated list of voices
Show child attributes
Show child attributes
Was this page helpful?
⌘I
List voices for a provider and model

